package com.ximai.mes.report.request;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ximai.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class FeedbackRequest {
//    工单类型（下拉选择工单类型）
//    项目号（工单项目号）
//    订单号（工单订单号）
//    生产工单（生产工单号）
//    任务号（工序任务号）
//    产品编码（产品编码）
//    产品名称（点击放大镜单选产品信息，也可直接输入名称执行搜索）
//    工序（点击放大镜单选工序，也可直接输入名称执行搜索）
//    车间（点击放大镜单选车间，也可直接输入名称执行搜索）
//    工作中心（点击放大镜单选工作中心，也可直接输入名称执行搜索）
//    工作单元（点击放大镜单选工作单元，也可直接输入名称执行搜索）
//    报工人员（点击放大镜单选报工人员，也可直接输入名称执行搜索）
//    报工时间（选择开始截至时间）


    /**
     * 工单类型
     */
    @ApiModelProperty(name = "工单类型")
    private String workorderType;


    @ApiModelProperty("客户项目号")
    private String customerProjectNo;


    @ApiModelProperty("订单单号")
    private String orderCode;

    /**
     * 工单编码
     */
    @ApiModelProperty(name = "工单编码")
    private String workorderCode;

    /**
     * 任务编号
     */
    @ApiModelProperty(name = "工序任务号")
    private String taskCode;

    /**
     * 产品编号
     */
    @ApiModelProperty(name = "产品编号")
    private String productCode;

    /**
     * 产品名称
     */
    @ApiModelProperty(name = "产品名称")
    private String productName;

    /**
     * 工序ID
     */
    @ApiModelProperty(name = "工序ID")
    private Long processId;

    /**
     * 工序编码
     */
    @ApiModelProperty(name = "工序编码")
    private String processCode;

    /**
     * 车间ID
     */
    @Excel(name = "车间ID")
    @ApiModelProperty("车间ID")

    private Long workshopId;
    @ApiModelProperty("车间名称")
    private String workshopName;

    /**
     * 工作中心ID
     */
    @ApiModelProperty(name = "工作中心ID")
    private Long workstationId;


    /**
     * 工作中心名称
     */
    @ApiModelProperty(name = "工作中心名称")
    private String workstationName;

    /**
     *
     */
    @ApiModelProperty("工作单元ID")
    private Long workunitId;

    @ApiModelProperty("作业单元名称")
    private String workunitName;



    @ApiModelProperty("报工人员")
    private String userName;

    @ApiModelProperty("报工开始")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    @ApiModelProperty("报工结束")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;
}
